#ifndef __COLOR_H
#define __COLOR_H

#include "CodeModule.hxx"
#include "CatomWorld.hxx"

CODE_MODULE_PROTOTYPE( COLOR, ColorModule );
using namespace std;

extern CatomWorld *worldPtr;

class ColorModule : public CodeModule {
public:

  // Set a unique name for your CodeModule here
  ColorModule(catomID _hostCatom) : CodeModule(_hostCatom) { name_ = "COLOR"; }

  void newTick( void );
  StateFile::Module* StateFileConstructor( void );
  void startSimulation( void );

private:
  bool upColor_;
  
};

#endif
